<?xml version="1.0" encoding="UTF-8"?>

<phpunit backupGlobals="false" 
         bootstrap="./tests/bootstrap.php"
         verbose="true"
         color="never"
         timeoutForSmallTests="10">
    <testsuites>
        <testsuite name="Init">
            <directory suffix="Test.php">./tests/init/</directory>
        </testsuite>
        <testsuite name="Unit">
            <directory suffix="Test.php">./tests/unit/</directory>
        </testsuite>
        <testsuite name="Functional">
            <directory suffix="Test.php">./tests/functional/</directory>
        </testsuite>
    </testsuites>

    <logging>
        <log type="coverage-html" target="./results/coverage"/>
        <log type="coverage-clover" target="./results/logs/clover.xml"/>
        <log type="coverage-crap4j" target="./results/logs/crap4j.xml"/>
        <log type="coverage-xml" target="./results/logs/coverage"/>
        <log type="coverage-text" target="php://stdout"/>
        <log type="junit" target="./results/logs/junit.xml"/>
    </logging>

    <filter>
        <whitelist addUncoveredFilesFromWhitelist="true">
            <directory suffix=".php">./src</directory>
            <!-- exclude>
              <directory>../src/tmp</directory>
              <file>../src/autoload.php</file>
              <file>../src/index.php</file>
              <file>../src/function.php</file>
            </exclude -->
        </whitelist>

    </filter>
</phpunit>

